For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • POSTCreate Warehouse Receiving Order
      • GETGet Multiple Warehouse Receiving Orders
      • GETGet Warehouse Receiving Order
      • GETGet Fulfillment Centers
      • GETGet Warehouse Receiving Order Boxes
      • GETGet Warehouse Receiving Order Box Labels
      • POSTCancel Warehouse Receiving Order
      • POSTSet ExternalSync flag for Wros
      • GETGet Inventory Distributions by WRO Id
    • OpenAPI spec
LogoLogo
API ReferenceReceiving

Get Inventory Distributions by WRO Id

||View as Markdown|
GET
/2025-07/receiving/:id/distributions
GET
/2025-07/receiving/:id/distributions
$curl https://api.shipbob.com/2025-07/receiving/id/distributions \
> -H "Authorization: Bearer <token>"
1{
2 "distributions": [
3 {
4 "expected_quantity": 0,
5 "fulfillment_center_abbreviation": "string",
6 "fulfillment_center_id": 0,
7 "inventory_id": 0,
8 "lot_date": "2019-08-24T14:15:22Z",
9 "lot_number": "string",
10 "product_sku": "string",
11 "received_quantity": 0,
12 "status": "NotStarted",
13 "stowed_quantity": 0
14 }
15 ],
16 "id": 0,
17 "status": "Awaiting"
18}
Was this page helpful?
Previous

Set ExternalSync flag for Wros

Next

Create a return.

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Path parameters

idstringRequiredformat: "int32"
Id of the receiving order

Response

Success
distributionslist of objects or null
List of distribution items, for a combination of InventoryId, Lot Number, Lot Date and Destination Fulfillment Center Id
idinteger
Id of the receiving order
statusenum

Errors

400
Bad Request Error
404
Not Found Error
500
Internal Server Error